#include "TestApp.h"
#include <string.h>
#include <stdio.h>

TestApp::TestApp()  
	: BApplication("application/x-vnd.f3c-testapp") {
}

void TestApp::ReadyToRun() {
	float count=0;
	status_t err;

	err = be_roster->Launch("application/x-vnd.f3c-lifestat");
	BMessenger* LifeStat = new BMessenger("application/x-vnd.f3c-lifestat",-1,&err);
	if (err!=B_OK) {
		(new BAlert("testapp", "error launching lifestat, exiting", "hmmm"))->Go();
		be_app->PostMessage(B_QUIT_REQUESTED);
		return;
	}

	for(;;) {
		snooze(100000);

		// generate the message 
		BMessage *msg = new BMessage('stat');
		
		// these are optional
		if (count==0) {
			//msg->AddFloat("pulse_rate", 300000);
			//msg->AddPoint("window_position", BPoint(10,10));
		}

		// add id
		msg->AddString("id", "TestApp");

		// add three values (the last one double speed)
		msg->AddFloat("linear count", count);
		msg->AddFloat("sin(count)", sin(count/10));
		msg->AddFloat("cos(count)", cos(count/10));
		msg->AddFloat("cos(count)", cos(count/10+(1.0/20)));

		// send the msg
		LifeStat->SendMessage(msg);

		count++;
	}
}